---
title: Update by ID
slug: apis/webhooks/cos-webhooks/events-formats-cos/webhook-management-cos/update-by-id
description: PUT webhooks/v1/registrations/{id} lets you update callback URL, eventName, and other registration settings.
icon: {"apiMethod":"PUT"}
docTags: 
createdAt: 2025-05-07T13:21:55.394Z
---

:::ApiMethodV2
```json
{
  "name": "Endpoint: /webhooks/v1/registrations/{id}",
  "method": "PUT",
  "url": "https://sandbox.crbcos.com/webhooks/v1/registrations/{id}",
  "description": "Updates the details of a webhook registration by ID",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "9E8hdFhhgimEeNy8hrGUU",
        "language": "curl",
        "code": "curl --location --globoff --request PUT 'https://sandbox.crbcos.com/webhooks/v1/registrations/{id}?id=d0dc5a57-ce2a-40d8-b7c4-b306003dd243' \\\n--data '{\n \n  \"partnerId\": \"19222b81-0e1e-452d-a842-b2f1011c16f3\",\n  \"eventName\": \"ACH.batch.imported\",\n  \"callbackUrl\": \"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\"\n \n  \n \n \n \n}'",
        "customLabel": ""
      },
      {
        "id": "zL9k7KkDZHMKpd8K6kvob",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'PUT',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/webhooks/v1/registrations/{id}?id=d0dc5a57-ce2a-40d8-b7c4-b306003dd243',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData =  \"{\\r\\n \\n  \\\"partnerId\\\": \\\"19222b81-0e1e-452d-a842-b2f1011c16f3\\\",\\r\\n  \\\"eventName\\\": \\\"ACH.batch.imported\\\",\\r\\n  \\\"callbackUrl\\\": \\\"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\\\"\\r\\n \\n  \\n \\n \\n \\n}\";\n\nreq.write(postData);\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "DhH0qytCE94LptCxYSpd6",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}?id=d0dc5a57-ce2a-40d8-b7c4-b306003dd243\"\n\npayload = \"{\\r\\n \\n  \\\"partnerId\\\": \\\"19222b81-0e1e-452d-a842-b2f1011c16f3\\\",\\r\\n  \\\"eventName\\\": \\\"ACH.batch.imported\\\",\\r\\n  \\\"callbackUrl\\\": \\\"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\\\"\\r\\n \\n  \\n \\n \\n \\n}\"\nheaders = {}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "S6kAO4_yomKycIQad45P7",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}?id=d0dc5a57-ce2a-40d8-b7c4-b306003dd243\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest.body = \"{\\r\\n \\n  \\\"partnerId\\\": \\\"19222b81-0e1e-452d-a842-b2f1011c16f3\\\",\\r\\n  \\\"eventName\\\": \\\"ACH.batch.imported\\\",\\r\\n  \\\"callbackUrl\\\": \\\"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\\\"\\r\\n \\n  \\n \\n \\n \\n}\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "hVtbWa8Cw0QnCkJFl_iwn",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}?id=d0dc5a57-ce2a-40d8-b7c4-b306003dd243\"\n  method := \"PUT\"\n\n  payload := strings.NewReader(`{`+\"\n\"+`\n \n  \"partnerId\": \"19222b81-0e1e-452d-a842-b2f1011c16f3\",`+\"\n\"+`\n  \"eventName\": \"ACH.batch.imported\",`+\"\n\"+`\n  \"callbackUrl\": \"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\"`+\"\n\"+`\n \n  \n \n \n \n}`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "9E8hdFhhgimEeNy8hrGUU"
  },
  "results": {
    "languages": [
      {
        "id": "FFM8NLKqFpBGWjEsL2aad",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"id\": \"d0dc5a57-ce2a-40d8-b7c4-b306003dd243\",\n    \"partnerId\": \"19222b81-0e1e-452d-a842-b2f1011c16f3\",\n    \"eventName\": \"ACH.Batch.Imported\",\n    \"callbackUrl\": \"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\",\n    \"consecutiveErrors\": 0,\n    \"status\": \"Active\",\n    \"type\": \"Push\",\n    \"format\": \"Basic\"\n}"
      }
    ],
    "selectedLanguageId": "FFM8NLKqFpBGWjEsL2aad"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "optional",
        "type": "string",
        "description": "The webhook registration ID. You receive this ID in the response when you register a webhook event. This ID is in GUID format.",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "partnerId",
        "kind": "required",
        "type": "string",
        "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
        "": "Your unique ID in the Cross River system. This ID is in GUID format."
      },
      {
        "name": "eventName",
        "kind": "required",
        "type": "string",
        "description": "Webhook event being reported 255 character limit.",
        "children": []
      },
      {
        "name": "callbackUrl",
        "kind": "required",
        "type": "string",
        "description": "The value is a URL. Webhooks are reported to this URL as a result of a triggered action. Make sure the callback URL is added to Cross River's allowlist. SSL required. 255 character limit. Required for Push registrations.",
        "": "required"
      },
      {
        "name": "authUsername",
        "kind": "optional",
        "type": "string",
        "description": "Basic authentication username to include in header of event. 255 character limit.",
        "": "authUsername"
      },
      {
        "name": "authPassword",
        "kind": "optional",
        "type": "string",
        "description": "Basic authentication password to include in event header. 255 character limit.",
        "children": []
      },
      {
        "name": "consecutiveErrors",
        "kind": "optional",
        "type": "integer",
        "description": "The number of consecutive errors",
        "": "The number of consecutive errors"
      },
      {
        "name": "lastError",
        "kind": "optional",
        "type": "string",
        "description": "Description of the last error",
        "": "Description of the last error"
      },
      {
        "name": "status",
        "kind": "optional",
        "type": "string",
        "description": "Status of registration:\n- Suspended\n- Active\n- Restarting",
        "": "Status of registration:\n- Suspended\n- Active\n- Restarting"
      },
      {
        "name": "type",
        "kind": "optional",
        "type": "string",
        "description": "Type of registration:\n- Push\n- Poll\n- File",
        "": "Type of registration:\n- Push\n- Poll\n- File"
      },
      {
        "name": "format",
        "kind": "optional",
        "type": "string",
        "description": "Event format:\n- Basic\n- Extended",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The webhook registration ID. You receive this ID in the response when you register a webhook event. This ID is in GUID format."
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "eventName",
      "kind": "optional",
      "type": "string",
      "description": "Webhook event being reported",
      "children": []
    },
    {
      "name": "callbackURL",
      "kind": "optional",
      "type": "string",
      "description": "The value is a URL. Webhooks are reported to this URL as a result of a triggered action. Make sure the callback URL is added to Cross River's allowlist. SSL required.",
      "children": []
    },
    {
      "name": "authUsername",
      "kind": "optional",
      "type": "string",
      "description": "Basic authentication username to include in header of event",
      "children": []
    },
    {
      "name": "authPassword",
      "kind": "optional",
      "type": "string",
      "description": "Basic authentication password to include in event header",
      "children": []
    },
    {
      "name": "consecutiveErrors",
      "kind": "optional",
      "type": "integer",
      "description": "The number of consecutive errors",
      "children": []
    },
    {
      "name": "lastError",
      "kind": "optional",
      "type": "string",
      "description": "Description of the last error",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Status of registration:\n- Active\n- Suspended\n- Restarting",
      "children": []
    },
    {
      "name": "type",
      "kind": "optional",
      "type": "string",
      "description": "Type of registration:\n- Push\n- Poll\n- File",
      "children": []
    },
    {
      "name": "format",
      "kind": "optional",
      "type": "string",
      "description": "Event format:\n- Basic\n- Extended",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-webhooksv1registrationsid",
  "legacyHash": "d3zfuh3e_9LJeJm4DXVAv"
}
```
:::

